Loading...
Searching...
No Matches
VObject Class Reference

`#include <VImage8.h>`

Inheritance diagram for VObject:
[legend]

## Public Member Functions

| VObject (VipsObject *new_vobject, VSteal steal=STEAL)
| VObject (const VObject &a)
VObject & | operator= (const VObject &a)
VipsObject * | get_object () const
bool | is_null () const

## Detailed Description

A smart VipsObject pointer. It calls g_object_ref()/_unref() for you automatically.

VObjects can be null (have no value set). See is_null().

## Constructor & Destructor Documentation

## VObject()

VObject::VObject | ( | VipsObject * | new_vobject,
|  | VSteal | steal = `STEAL`
| ) |  |

inline explicit

Wrap a VObject around the underlying VipsObject pointer.

If steal is STEAL, then the new VObject takes over the reference that you pass in.

## Member Function Documentation

## get_object()

VipsObject * VObject::get_object | ( |  | ) | const

inline

Return the underlying VipsObject pointer. This does not make a new reference – you'll need to g_object_ref() the result if you want to keep it.

## is_null()

bool VObject::is_null | ( |  | ) | const

inline

TRUE if this is a null VObject.

The documentation for this class was generated from the following file:

- /build/vips-mjIWxD/vips-8.16.0/cplusplus/include/vips/VImage8.h